/* -*- linux-c -*- (Autoset linux indent style when using emacs) */

/*
 * Copyright 1999 Digi International (www.digi.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY, EXPRESS OR IMPLIED; without even the 
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 * PURPOSE.  See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
			CHANGE LOG

$Log: dxbtypes.h,v $
Revision 1.1  1999/11/11 18:27:48  randall
- Added support for Linux

Revision 1.7  1998/11/20 13:25:16  dickl
Added cvs Log statement


*/

#ifndef DGTYPES_H_INCLUDED
#define DGTYPES_H_INCLUDED


#define 	uint8			unsigned char
#define 	dxb_uint8		uint8
#define 	shared_uint8_le		uint8
#define 	host_uint8_le		uint8
#define 	board_uint8_le		uint8
#define 	UINT8			unsigned char
#define		uchar			unsigned char
#define		BYTE			unsigned char
#define		INT8			char

#define		uint16			unsigned short
#define 	dxb_uint16		uint16
#define 	shared_uint16_le	uint16
#define 	host_uint16_le		uint16
#define 	board_uint16_le		uint16
#define		UINT16			unsigned short
#define		WORD			unsigned short
#define		INT16			short

#define 	eshort			uint16

#define		uint32			unsigned long
#define 	dxb_uint32		uint32
#define 	shared_uint32_le	uint32
#define 	host_uint32_le		uint32
#define 	board_uint32_le		uint32
#define		UINT32			unsigned long
#define		LONG			unsigned long
#define		DWORD			unsigned long
#define		INT32			long

#define 	elong			uint32

#define		host_uint32		unsigned long
#define		host_uint16		unsigned short
#define		host_uint8		unsigned char
#define		host_uchar		unsigned char

#define		shared_uint32		volatile uint32
#define		shared_uint16		volatile uint16
#define		shared_uint8		volatile uint8

#define		board_uint32		volatile const ulong
#define		board_uint16		volatile const ushort
#define		board_uint8		volatile const char

#define		board_uchar		uint8

#define		pad_32			uint32


#endif
