
/*
 Copyright 1999 by Digi International (www.digi.com)

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY, EXPRESS OR IMPLIED; without even the 
 implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE.  See the GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
 *	Linux Operarating System specific dependencies for compiling
 *	trace/ras_trace.c
 */

#include "rasmon.h"

/*
 *	Linux Management Device Path
 */

#define DEVDIR "/dev/dg/dgdm/"

/*
 *	First management device and number of management devices per board
 */

#define FIRST_TRACE_CHAN 0
#define TRACE_CHAN_COUNT 1

/*
 *	Macro to build full management device path and name
 */

#define MK_DEV_NAME(a,b,c,d) sprintf((a), b "mgmt%d",(d))
#define MK_RAM_NAME(a,b,c)   sprintf((a), b "ram%d",(c))

